services:
  # PostgreSQL
  db:
    # Образ контейнера
    image: postgres
    # Перезапуск при падении
    restart: always
    # Порт для подключения
    ports:
      - 5432:5432
    # Каталог с данными. Каталог компьютера:каталог контейнера
    volumes:
      - ./volumes/postgres:/var/lib/postgresql/data
    # Переменные среды для определения хотя бы одного пользователя при запуске
    environment:
      - POSTGRES_USER=admin
      - POSTGRES_PASSWORD=admin
  # Mediawiki
  mediawiki:
    # Образ 
    image: mediawiki
    # Перезапуск при падении
    restart: always
    # Порт для подключения
    ports:
      - 8080:80
    # Каталоги
    volumes:
      - ./volumes/mediawiki:/var/www/html/images
  # Gitea
  git:
    image: gitea/gitea:latest
    restart: always
    ports:
      - "3000:3000"
      - "222:22"
    volumes:
      - ./volumes/gitea:/data
      - ./volumes/timezone:/etc/timezone:ro
      - ./volumes/localtime:/etc/localtime:ro